
#import "ThreeStateButton.h"
#import "ThreeStateButtonCell.h"

// As usual, ***** denotes an unfinished method.

static id threeStateCellClass = nil;

@interface Button(IBMethods)
- (const char *)getInspectorClassName;
@end

@implementation ThreeStateButton

+ initialize
{ // need to set up to use our new cell subclass
	if (self == [ThreeStateButton class]) {
		threeStateCellClass = [ThreeStateButtonCell class];
	}
	return [super initialize];
}

+ setCellClass:classId
{
	threeStateCellClass = classId;
	return self;
}

- initFrame:(const NXRect *)frameRect
{
	id oldCell;
	[super initFrame:frameRect];
	oldCell = [self setCell:[[threeStateCellClass alloc] init]];
	[oldCell free];
	doSuper = NO;
	return self;
}

// These all just forward to the cell for it to deal with...
- (const char *)thirdTitle { return [cell thirdTitle]; } 
- setThirdTitle:(const char *)aString { return [cell setThirdTitle:aString]; }
- (const char *)thirdIcon { return [cell thirdIcon]; }
- setThirdIcon:(const char *)iconName { return [cell setThirdIcon:iconName]; }
- thirdImage { return [cell thirdImage]; }
- setThirdImage:image { return [cell setThirdImage:image]; }
- setType:(int)aType { return [cell setType:aType]; }
- (int)state { return [cell intValue]; }
- setState:(int)value { return [cell setIntValue:value]; }
- performAltClick:sender { return [cell performAltClick:sender]; }

- (const char *)getInspectorClassName
{	// ***** I'd like a way for a cmd-click or it's like to bring up
	// the button class inspector instead...
//	if (doSuper) return [super getInspectorClassName];
//	doSuper = (doSuper ? NO : YES);
	return "TriStateInspector";
}


@end
