
#import "DAYString.h"

@interface DAYString (MString)

- clear;
- ( const char *)string;
- addToEndOfString: ( const char * ) aString;
- addToFrontOfString:( const char * )aString;
- addCharToEndOfString: ( char ) aChar;
- addCharToFrontOfString: ( char ) aChar;
// Note that the last field must be NULL
- addStrings: ( const char *) fields,  ...;
- setString: ( const char *) aString;
- replaceChar: ( char ) aChar withChar: ( char ) replaceChar;
- ( char * ) nthField: ( int ) fieldNumber useAsDelimiter: ( char ) c;
- ( char * ) nthField: ( int ) fieldNumber;
- ( char * ) nthQuotedField: ( int ) fieldNumber;
- ( char * ) lastField;
- ( char * ) firstField;
- ( int ) numberFields;

@end

/* Note:
Methods that return "const char *" must have the pointer manually freed.
nth... methods start indexing at 0
numberFields start at 0 for empty string (no non-whitespace)
Some of the DAYString methods start indexing at 1
	extract...	starts at 1
	wordNum		starts at 0
	see doc for specifics
*/