#import "MKProgressPieInspector.h"
#import "MKProgressPie.h"

@implementation MKProgressPieInspector

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    
    bundle = [NXBundle bundleForClass:[MKProgressPie class]];
    [bundle getPath:buf 
            forResource:"MKProgressPieInspector" 
            ofType:"nib"];
    [NXApp loadNibFile:buf 
           owner:self 
           withNames:NO 
           fromZone:[self zone]];
    return self;
}

- ok:sender
{
    if (sender == theSlider) {
        [object setStepSize:[theSlider intValue]];
        [theTextField setIntValue:[theSlider intValue]];
    } 
    else if (sender == theTextField) {
        [object setStepSize:[theTextField intValue]];
        [theSlider setIntValue:[theTextField intValue]];
    }
    if (sender == theCheckBox) {
		if ([theCheckBox intValue] == 1)  {
			[object setHidden:YES];
		}
		else  {
			[object setHidden:NO];
		}
    } 
    return [super ok:sender];
}

- revert:sender
{
    int step;

    step = [object stepSize];
    [theSlider setIntValue:step];
    [theTextField setIntValue:step];
	return [super revert:sender];
}

- (BOOL)wantsButtons
{
    return NO;
}
@end
